﻿/****************************************************Poppins****************************************************/
@font-face {
    font-family: 'Poppins-Black';
    src: url('../fonts/Poppins/Poppins-Black.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-BlackItalic';
    src: url('../fonts/Poppins/Poppins-BlackItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Bold';
    src: url('../fonts/Poppins/Poppins-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-BoldItalic';
    src: url('../fonts/Poppins/Poppins-BoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-ExtraBold';
    src: url('../fonts/Poppins/Poppins-ExtraBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-ExtraBoldItalic';
    src: url('../fonts/Poppins/Poppins-ExtraBoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-ExtraLight';
    src: url('../fonts/Poppins/Poppins-ExtraLight.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-ExtraLightItalic';
    src: url('../fonts/Poppins/Poppins-ExtraLightItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Italic';
    src: url('../fonts/Poppins/Poppins-Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Light';
    src: url('../fonts/Poppins/Poppins-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-LightItalic';
    src: url('../fonts/Poppins/Poppins-LightItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Medium';
    src: url('../fonts/Poppins/Poppins-Medium.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-MediumItalic';
    src: url('../fonts/Poppins/Poppins-MediumItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Regular';
    src: url('../fonts/Poppins/Poppins-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-SemiBold';
    src: url('../fonts/Poppins/Poppins-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-SemiBoldItalic';
    src: url('../fonts/Poppins/Poppins-SemiBoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-Thin';
    src: url('../fonts/Poppins/Poppins-Thin.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins-ThinItalic';
    src: url('../fonts/Poppins/Poppins-ThinItalic.ttf') format('truetype');
}
/****************************************************Poppins****************************************************/
:root {
    --primary-color: #00C0D3;
    --primary-color-medium: #3D67B6;
    --primary-color-dark: #1B3967;
    --accent-color: #68BEA6;
    --secondary-color: #C5C4C4;
    --text-primary: #1D1D1B;
    --text-secondary: #333;
    --text-bold: #222;
    --box-shadow-1: box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    --box-shadow-2: box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    --font-family: Poppins-Regular;
}

body {
    font-family: var(--font-family);
    color: #1D1D1B !important;
}

.ButtonMenu {
    left: 100%;
    position: absolute;
    top: 0;
    display: none;
    margin-top: -1px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-left-color: #fff;
    box-shadow: none;
}

.sub-menu {
    left: 100%;
    position: absolute;
    top: 0;
    display: none;
    margin-top: -1px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-left-color: #fff;
    box-shadow: none;
}

.dropdown-menu .sub-menu {
    left: 100%;
    position: absolute;
    top: 0;
    display: none;
    margin-top: -1px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-left-color: #fff;
    box-shadow: none;
}

.dropdown-menu > li {
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    min-width: 250px;
}

.espacioFila {
    padding-top: 30px;
}

.paddingTap {
    padding-left: 15px;
}

.bodyMargin {
    padding: 20px 50px 50px 50px;
    border-style: inset;
    margin-left: 60px;
    margin-right: 60px;
    margin-top: 40px;
}

.bodyConfiguracion {
    margin-left: 10px;
    padding-left: 10px;
    padding: 10px 10px 10px 10px;
}

.centrar {
    align-content: center;
    text-align: center;
}

.borderNav {
    border-bottom-style: inset;
}

.border {
    border-radius: 4px 4px;
    padding: 20px 50px 50px 50px;
    border-style: outset;
}

.paddingLogin {
    padding-top: 5%;
}

.imgGlobus {
    /*    position: absolute;
    top: 30%;
    left: 53%;
    margin: -150px 0 0 -150px;
    width: 200px;
    height: 200px;*/
}

.fileinput-button {
    position: relative;
    overflow: hidden;
    float: left;
    margin-right: 4px;
}

    .fileinput-button input {
        position: absolute;
        top: 0;
        right: 0;
        margin: 0;
        border: solid transparent;
        border-width: 0 0 100px 200px;
        opacity: 0;
        filter: alpha(opacity=0);
        -moz-transform: translate(-300px, 0) scale(4);
        direction: ltr;
        cursor: pointer;
    }

.imginicio {
    width: 100%;
    height: 100%;
    background-image: url(../img/globus.jpg);
    background-size: cover;
    background-position: center;
}

.login {
    position: absolute;
    top: 60%;
    left: 50%;
    margin: -150px 0 0 -150px;
    width: 300px;
    height: 300px;
}

.body {
    background-image: url(../img/fondo_globus.png);
}

.btn btn-primary {
    align-content: center;
    text-align: center;
}

.ColorTitulo {
    color: #222222 !important;
}

.BotonMenuColor {
    color: black;
    font-weight: 450;
    background: #D7D4D4 url(../img/menu4.png) no-repeat 0 1px;
    font-size: 1rem;
    vertical-align: middle;
    /*background-color: #4FA7FF;
    border: 1px solid #0080DD;*/
    min-height: 30px;
    /*color: white;*/
    text-transform: uppercase;
}

.Sombra {
    background-color: #ffffff;
    padding-top: 10px;
    box-shadow: inset 0 -3em 3em rgba(0,0,0,0.0), 0 0 0 2px rgb(255,255,255), 0.3em 0.3em 1em rgba(0,0,0,0.5);
    border-radius: 5px 5px 5px 5px;
}

.SombraLogin {
    background-color: #ffffff;
    padding: 20px 20px 20px 20px;
    box-shadow: inset 0 -3em 3em rgba(0,0,0,0.0), 0 0 0 2px rgb(255,255,255), 0.3em 0.3em 1em rgb(255 255 255);
    border-radius: 5px 5px 5px 5px;
}

.TituloPeq {
    font-size: 0.8rem;
    font-weight: bold;
}

.EmpresaPadding {
    line-height: 15px;
}

.WebhookPadding {
    line-height: 20px;
}

.alertDatos {
    font-size: 18px;
}

.TextWebHook {
    font-size: 13px;
}

.boxCaja {
    border: 10px solid rgba(0,0,0,0.5);
    background: #808080;
    height: 200px;
    width: 200px;
    padding: 10px;
    margin: 10px;
}

.TableWebhook {
    padding-top: 2em;
    padding-bottom: 5px;
    outline-offset: 20px;
    padding-inline: 2px 2px;
}

.invoice-container {
    margin-top: 3rem;
    padding: 1rem;
}

.invoice-info {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.12), -2px -2px 5px rgba(0, 0, 0, 0.12), 2px -2px 5px rgba(0, 0, 0, 0.12), -2px 2px 5px rgba(0, 0, 0, 0.12) !important;
}

.invoice-detail .card {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.12), -2px -2px 5px rgba(0, 0, 0, 0.12), 2px -2px 5px rgba(0, 0, 0, 0.12), -2px 2px 5px rgba(0, 0, 0, 0.12) !important;
}
#TblFactura, #TblFacturaRetencion {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.12), -2px -2px 5px rgba(0, 0, 0, 0.12), 2px -2px 5px rgba(0, 0, 0, 0.12), -2px 2px 5px rgba(0, 0, 0, 0.12) !important;
}
.view-detail-btn {
    border: none;
    outline: none;
    cursor: pointer;
    background-color: transparent;
}

    .view-detail-btn:focus {
        border: none;
        outline: none;
    }

#TblFactura, #TblFacturaRetencion {
    border-collapse: collapse;
    border-radius: 0.25rem !important;
    overflow: hidden;
}

.hr-factura {
    border-top: 1px solid var(--info);
    margin-top: 0 !important;
}

.btn-pay, #btn-imprimir {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.btn-davivienda {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: 0.3s all ease-in-out;
    outline: none !important;
    border: none !important;
}
.btn-bancolombia {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: 0.3s all ease-in-out;
    outline: none !important;
    border: none !important;
}

.btn-davivienda:hover {
    filter:brightness(0.8);
    transform: scale(1.05);
}

.btn-bancolombia:hover {
    filter: brightness(0.8);
    transform: scale(1.05);
}
.bank-img{
    object-fit: fill;
    max-width: 100px;
    margin-bottom: 0.5rem;
    border-radius:0.2rem;
}

.diagonal-line {
    position: relative;
    overflow: hidden; /* Para ocultar el exceso de borde */
}

    .diagonal-line::before {
        content: "Pagado";
        position: absolute;
        top: 50px; /* Ajusta la posición hacia arriba */
        right: -100px; /* Ajusta la posición hacia la izquierda */
        width: 350px; /* Ancho de la línea diagonal */
        height: 50px; /* Longitud de la línea diagonal */
        background-color: #007bff; /* Color de la línea diagonal */
        background-color: var(--primary-color); /* Color de la línea diagonal */
        transform: rotate(45deg);
        z-index: 1; /* Para que la línea diagonal esté sobre el contenido */
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 1.7rem;
        color: #FFF;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

.img-logo-factura{
    width: 100px;
    height: auto;
}
.container2 {
    display: grid;
    grid-template-columns: auto auto;
    gap: 0.5rem;
    justify-content: end;
    align-items: center;
}

.text-right {
    text-align: right;
}

.font-weight-bold {
    font-weight: bold;
}

.h4 {
    font-size: 1.5rem; /* Ajusta este valor según sea necesario */
}

@media print {
    .view-detail-btn, #btn-imprimir, #btn-imprimir-2, .totales-card {
        display: none !important;
    }
    .invoice-detail {
        display: flex !important;
    }
    .invoice-info {
        box-shadow: none;
    }
    .diagonal-line::before{
        display: none;
    }
    .alert-totales-blue {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 992px) {
    .modal-dialog {
        max-width: 90%;
        margin: auto;
    }
    .diagonal-line::before {
        display: none;
    }
}
